echo off
CLS
ECHO"  
ECHO"  
ECHO"
ECHO                                         NATIONAL SEMICONDUCTOR 
ECHO                       
ECHO                                          Analog Division
ECHO                      
ECHO                            OP-AMP MACROMODELS for Spice
ECHO               
ECHO                                  Version 2.5   
ECHO              
ECHO                   
ECHO                  
ECHO                
ECHO               
ECHO                  
ECHO" 
ECHO" 
PAUSE

CLS
ECHO Welcome to National Semiconductor's OP-AMP Macromodel library disk.  
ECHO The following demonstration shows the use of National's models in 
ECHO PSpice netlists.  This demostration must be run from a hard disk
ECHO with at least 2.5MB of free space.  
ECHO"
IF NOT EXIST PROBE.DSP ECHO Expanding PSpice files.  Please wait...
IF NOT EXIST PROBE.DSP ECHO"
IF NOT EXIST EXPLPS50.EXE GOTO ERR
IF NOT EXIST PROBE.DSP EXPLPS50
IF NOT EXIST PROBE.DSP GOTO ERR
ECHO"
ECHO Note: This demo was written for IBM compatible computers with
ECHO EGA or VGA monitors.  If you are using a lower-resolution screen,
ECHO you must stop this demo by pressing Ctrl-C and change the first 
ECHO line in PSPICE.DEV to DISPLAY=IBM for CGA or DISPLAY=TEXT for 
ECHO Hercules by using your favorite text editor.
ECHO"
ECHO"
PAUSE
CLS
ECHO Example #1 is an non-inverting amplifier with a closed-loop gain
ECHO of +1.  The amplifier used is the new LMC6482, a unique 
ECHO CMOS OP-AMP which has an input common-mode range that extends to both rails.
ECHO The LMC6482 features a supply range from 3V to 15V, a CMRR of 85dB, an 
ECHO input bias current of only 10fA, and an output stage that allows the output
ECHO to swing within milivolts of the rail while driving a 600ohm load!
ECHO We will now explore the large signal behavior of the LMC6482 as the
ECHO input and output swing from rail-to-rail.   
ECHO"
ECHO"
PAUSE
CLS
ECHO             LMC6482 Voltage Follower Netlist
ECHO"
TYPE EX1.CIR
ECHO"
ECHO Notice the use of the subcircuit designator (XAR1) and the call
ECHO to the CMOS OP-AMP library (.LIB CMOSOA.LIB).
ECHO"
PAUSE
CLS
ECHO Now we will compile the netlist with PSpice and show the output
ECHO of the simulation.  On color screens, the input to the amplifier (node 3)
ECHO will be shown in green and the output waveform (node 6) will be shown 
ECHO in red.
ECHO"
ECHO Note:  To run the simulations outside of this demo, simply type:
ECHO PSPICE EX1.CIR at the DOS prompt. 
ECHO"
ECHO"
PAUSE
PSPICE1 EX1.CIR
IF EXIST EX1.DAT PROBE /C EX1.CMD
CLS
ECHO Example #2 is a non-inverting voltage-controlled voltage source (VCVS)
ECHO low-pass filter.  The LMC660, an ultra-high input impedance 
ECHO rail-rail output swing amplifier, was used in order to reduce capacitor
ECHO size, with a resulting scaled increase in resistor size.  High value
ECHO resistors are less costly than high value capacitors. 
ECHO By implementing an amplifier with less than 4fA (typical) of input
ECHO current, D.C. errors are minimized even though 8.2 MEG ohm resistors
ECHO are used.
ECHO"
ECHO For more information on this filter topology, consult:
ECHO "Operational Amplifiers - Design and Applications"
ECHO G. Tobey, J. Graeme, L. Huelsman, McGraw-Hill Book Co.
ECHO p.p. 295-301
ECHO"
PAUSE
CLS
ECHO                    LMC660 Low-pass filter netlist
ECHO"
TYPE EX2.CIR
ECHO"
ECHO Notice the call to the CMOS OP-AMP library (.LIB CMOSOA.LIB).
ECHO"
PAUSE
CLS
ECHO Once again, we will compile the netlist with PSpice and show the output
ECHO of the simulation.  The output is simply the frequency response of the
ECHO output node (7) with respect to the input node (1).  Notice the cutoff 
ECHO frequency at 1 Hz and the 40dB/decade roll-off thereafter.
ECHO"
ECHO"
PAUSE
PSPICE1 EX2.CIR
IF EXIST EX2.DAT PROBE /C EX2.CMD
CLS
ECHO This concludes our demonstration.  The evaluation version of PSpice
ECHO included on this disk was provided courtesy of MicroSim Corporation.
ECHO For information regarding MicroSim products, call (800) 245-3022.
ECHO"
ECHO The OP-AMP macromodels on this disk were designed and developed by
ECHO David Hindi and Al Neves of National Semiconductor's Linear Applications
ECHO Division.  For information on the models, call (408) 721-3877.
ECHO"
ECHO Copying of this disk is welcome and encouraged.
ECHO"
ECHO Have fun with our models!
GOTO END
:ERR ECHO Problem encountered expanding PSpice files!
ECHO Demo must be run from a hard disk drive with at least 2.5MB free.
ECHO To run the demo, copy the files from the library disk to the hard disk
ECHO by typing:  COPY A:*.* C: at the DOS prompt and then type: C:DEMO
ECHO If you still have problems, contact the National Semiconductor Customer
ECHO response center at (408) 721-4902.
:END  
